"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var React = _interopRequireWildcard(require("react"));

var _Context = _interopRequireDefault(require("../Context"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const tableProps = {
  cellPadding: "0",
  cellSpacing: "0",
  role: "presentation"
};
const browserStyle = {
  display: "flex",
  flexDirection: "column",
  width: "100%"
};
const mailStyle = {
  width: "100%"
};
const width = `${100 / 12}%`;

const Box = ({
  children,
  css,
  ...props
}) => {
  const context = React.useContext(_Context.default);
  return context.mail ? /*#__PURE__*/React.createElement("table", _extends({}, tableProps, {
    style: { ...css,
      ...mailStyle
    }
  }, props), /*#__PURE__*/React.createElement("thead", null, /*#__PURE__*/React.createElement("tr", null, Array.from(Array(12).keys()).map(i => /*#__PURE__*/React.createElement("th", {
    key: i,
    style: {
      width
    }
  })))), /*#__PURE__*/React.createElement("tbody", null, children)) : /*#__PURE__*/React.createElement("div", _extends({
    style: { ...css,
      ...browserStyle
    }
  }, props), children);
};

var _default = Box;
exports.default = _default;