"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

const curry = f => {
  const call = (n, args) => (...xs) => n - xs.length <= 0 ? f(...args, ...xs) : call(n - xs.length, [...args, ...xs]);

  return call(f.length, []);
};

var _default = curry;
exports.default = _default;