"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.toRendableFFS = void 0;

const toRendableFFS = (intl, ffs, resortName) => {
  return {
    code: ffs.merchant,
    inscriptions: [{
      id: ffs.id,
      label: intl.formatMessage({
        id: "ffs.text"
      }, {
        resort: resortName
      }),
      price: ffs.price
    }]
  };
};

exports.toRendableFFS = toRendableFFS;