"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var React = _interopRequireWildcard(require("react"));

var _Layout = require("../Layout");

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const cssHeader = {
  width: "100%",
  background: "#FAFAFA"
};
const cssHeaderText = {
  padding: "8px 0px 8px 25px",
  textTransform: "uppercase",
  fontFamily: "Open Sans, Helvetica",
  fontWeight: "bold",
  fontSize: "20px",
  lineHeight: "27px",
  color: "#4d4d4d"
};
const cssHeaderEvents = {};
const cssBurger = {
  color: "#4d4d4D",
  width: 15,
  height: 15
};

const Header = ({
  text,
  actions
}) => {
  return /*#__PURE__*/React.createElement(_Layout.Box, {
    css: cssHeader
  }, /*#__PURE__*/React.createElement(_Layout.Row, null, /*#__PURE__*/React.createElement(_Layout.Cell, {
    css: cssHeaderText,
    md: actions ? 11 : 12
  }, text), actions && /*#__PURE__*/React.createElement(_Layout.Cell, {
    css: cssHeaderEvents,
    md: 1
  }, /*#__PURE__*/React.createElement("img", {
    src: "/burger-menu.svg",
    style: cssBurger
  }))));
};

var _default = Header;
exports.default = _default;