"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var React = _interopRequireWildcard(require("react"));

var _Layout = require("../../Layout");

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const cssFonts = {
  fontFamily: "Open Sans, Helvetica"
};
const cssDetail = {
  padding: "5px 0"
};
const cssDetailValue = { ...cssFonts,
  color: "#4D4D4D",
  fontSize: 12,
  display: "inline-block",
  verticalAlign: "top"
};
const cssDetailLabel = { ...cssDetailValue,
  opacity: 0.5,
  marginRight: 10,
  verticalAlign: "top"
};

const Detail = ({
  label,
  value,
  solo
}) => {
  const content = /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("span", {
    style: { ...cssDetailLabel,
      paddingLeft: solo ? 20 : 0
    }
  }, label), /*#__PURE__*/React.createElement("span", {
    style: cssDetailValue
  }, value instanceof Array ? value.map((a, index) => /*#__PURE__*/React.createElement("span", {
    key: index
  }, /*#__PURE__*/React.createElement("span", null, a), /*#__PURE__*/React.createElement("br", null))) : value));
  return solo ? content : /*#__PURE__*/React.createElement(_Layout.Row, null, /*#__PURE__*/React.createElement(_Layout.Cell, {
    css: cssDetail,
    valign: "top"
  }, content));
};

var _default = Detail;
exports.default = _default;