"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.undefineIfEmpty = exports.range = void 0;

const isDefined = value => value !== undefined && value !== null;

const Seq = value => {
  return !isDefined(value) ? [] : Array.isArray(value) ? value : [value];
};

const range = (start, end) => {
  return [...Array(1 + end - start).keys()].map(v => start + v);
};

exports.range = range;

const undefineIfEmpty = array => array && array.length === 0 ? undefined : array;

exports.undefineIfEmpty = undefineIfEmpty;
var _default = Seq;
exports.default = _default;